Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202302 - Document new deprecations in the infinispan & jgroups subsystems
Summary: Document new deprecations in the infinispan & jgroups subsystems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Scott Mumford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 10:49 UTC by Ladislav Thon
Modified: 2019-06-13 08:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 23006, 6.4.0 Release Notes-6.4 Beta-1 Build Date: 13-02-2015 10:30:30 Topic ID: 42738-742683 [Latest]
Last Closed: 2015-07-16 23:26:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Ladislav Thon 2015-03-16 10:49:46 UTC
Title: Deprecated Features

Describe the issue:

Per bug 1196790, some attributes and operations in the infinispan and jgroups subsystems are being deprecated in 6.4.0. I believe this should be documented in release notes.

Suggestions for improvement:

I believe that few sentences should be enough, something like "a bunch of attributes and operations in the infinispan and jgroups subsystems were deprecated in this release and are planned to be removed in next major version".

Additional information:

See bug 1196790.

Comment 1 Scott Mumford 2015-04-13 01:07:15 UTC
Thanks for the heads up Ladislav.

Unfortunately I can't use phrasing like "A bunch of attributes..." in an enterprise document.

Are you able to provide specifics about what has been deprecated, or nominate someone who could? There's no usable details in bug 1196790.

Comment 2 Ladislav Thon 2015-04-13 06:10:25 UTC
The entire set of attributes/operations that were deprecated can be seen in the pull requests:

https://github.com/jbossas/jboss-eap/pull/2330/commits
https://github.com/jbossas/jboss-eap/pull/2331/commits

You can ask Paul Ferraro and/or Rado Husar for more details.

Comment 3 Scott Mumford 2015-04-14 02:44:20 UTC
Sorry Lasislav, both of those URLs return 404s.

Paul, can you help out? Sorry for the short notice but time is a critical factor here.

Comment 4 Ladislav Thon 2015-04-14 07:07:38 UTC
Ha, true, I forgot that you probably don't have the permissions on GitHub. I'll try to summarize the PRs and let Paul clarify and/or correct if needed:

1. In the "infinispan" subsystem:

1.1 The attribute "start" (which can be EAGER or LAZY) on "cache-container" and on "*-cache" (replicated-cache, distributed-cache, ...) is deprecated. Future release will only support on-demand mode (what is now LAZY).

1.2 The attributes "stack" and "cluster" on "transport" are deprecated. I believe that this is related to the planned big overhaul of group communication in clustering.

1.3 The attributes "listener-executor", "eviction-executor" and "replication-queue-executor" on "cache-container" are deprecated. I believe that this is related to the planned removal of the "threads" subsystem.

1.4 The attribute "executor" on "transport" is deprecated. Same as 1.3 -- related to the "threads" subsystem.

2. In the "jgroups" subsystem:

2.1 The "default-stack" attribute (on the subsystem's root resource) is deprecated. Same as 1.2 -- related to the planned overhaul of group communication in clustering.

2.2 The attribute "protocols" and operations "add-protocol" and "remove-protocol" on "stack" are deprecated. Same as 1.2 -- related to the planned overhaul of group communication in clustering.

2.3 The attributes "type" and "properties" on "protocol" are deprecated. Same as 1.2 -- related to the planned overhaul of group communication in clustering.

2.4 The attributes "type", "shared" and "properties" on "transport" are deprecated. Same as 1.2 -- related to the planned overhaul of group communication in clustering.

2.5 The attributes "default-executor", "oob-executor", "timer-executor" and "thread-factory" on "transport" are deprecated. Same as 1.3 -- related to the "threads" subsystem.

How many of these are actually _supported_ and therefore need formal deprecation, I'm not sure.

Comment 5 Scott Mumford 2015-04-15 00:03:13 UTC
Thanks for that Ladislav, very much appreciated.

I'll draft something up and put it in the Deprecated Features topic. I'll leave it commented out, though, as the topic defers to the article on access.redhat.com [1], which is maintained by John Doyle.

John, is this something you'll be covering in that article? If not, I can just remove the comment markup and have it appear in the Docs topic.


1: https://access.redhat.com/articles/112673

Comment 6 Scott Mumford 2015-04-23 00:16:03 UTC
At his request, the content I drafted for this has been forwarded to John Doyle for inclusion in the article linked in comment 5.

The content is not appearing there, however, as of the timestamp on this comment.

Comment 7 Scott Mumford 2015-06-25 03:12:32 UTC
John, Assigning this to you to see if you can/will cover this in the Access article linked above.

According to metrics provided by Keith Watkins, the article gets 10x more traffic than the Release Notes document. If we want people to see this, Access is the place to put it.

If that can't happen reassign this back to me and I'll see what I can do to update the 6.4 Release notes.

Comment 8 Scott Mumford 2015-07-06 23:14:11 UTC
The content that was stored in the Deprecated Features topic have been added to the CSP article [1].

It is not published but has been saved in a draft state pending approval/publication from John Doyle.

Ladislav, you can possibly see (and verify) the changes in the article as well, to add your input.

1: https://access.redhat.com/articles/112673

Comment 9 Ladislav Thon 2015-07-07 09:06:36 UTC
Scott, I've got few comments:

1. It's "Infinispan", not "InfiniSpan".

2. Maybe the text should point out the version number since the mentioned things are deprecated (6.4).

3. The text often mentions things like "transport subsystem" or "protocol subsystem". These are not subsystems, "[management] resource" is a better word here.

Comment 10 Scott Mumford 2015-07-07 21:24:29 UTC
Thanks Ladislav.

I've correct the formatting on 'Infinispan', added a sentence to state these items were deprecated in 6.4 and replaced instances of 'subsystem' in the texts with 'resource'.

Thanks again for all your help on getting this content prepared.

Comment 11 Scott Mumford 2015-07-07 21:27:41 UTC
The content now reads as follows:

_______________________________________________________
The Infinispan subsystem 	

Deprecated in JBoss EAP 6.4:
The start attribute (which can be EAGER or LAZY) on cache-container and on *-cache (replicated-cache, distributed-cache, etc) is deprecated. Future release will only support on-demand mode (what is now LAZY).
The stack and cluster attributes on the transport resource are deprecated.
The listener-executor, eviction-executor and replication-queue-executor attributes on cache-container are deprecated.
The executor attribute on the transport resource is deprecated.


The JGroups subsystem
         
Deprecated in JBoss EAP 6.4:
The default-stack attribute (on the subsystem's root resource) is deprecated.
The protocols attribute and the add-protocol and remove-protocol operations on the stack resource are deprecated.
The type and properties attributes on the protocol resource are deprecated.
The type, shared and properties attributes on the transport resource are deprecated.
The default-executor, oob-executor, timer-executor and thread-factory attributes on the transport resource are deprecated. 
_______________________________________________________

The draft content can be viewed at [1] by clicking 'View current version' (you must be logged in to the portal to see draft content.

1: https://access.redhat.com/articles/112673

Comment 12 Scott Mumford 2015-07-16 03:37:35 UTC
Emailed John Doyle to get a final OK on this and have it published.

Comment 13 Scott Mumford 2015-07-16 23:26:01 UTC
This content is now live at:

https://access.redhat.com/articles/112673

Closing ticket. Thanks to Ladislav and John for assistance.


Note You need to log in before you can comment on or make changes to this bug.